Subject: Linux-Admin Digest #177
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Tue, 11 Oct 94 18:13:45 EDT

Linux-Admin Digest #177, Volume #2               Tue, 11 Oct 94 18:13:45 EDT

Contents:
  XF86Config (3.1) HOW-TO (Pierre Belanger)
  Mystery Chip...AMD (RYAN  Colin Patrick)
  Re: looking for [email-masked] (Joe Nardone)
  Re: Security hole - has noone noticed so far? (Ronald S. Karr)
  Re: CD-ROMs (Thomas Winterfeldt)
  Re: Inn on a Linux box! (Thomas Winterfeldt)
  Re: Good dirs to move to sep file systems? (Thomas Winterfeldt)
  Re: formatting tapes (G. E. Terry)

----------------------------------------------------------------------------

From: [email-masked] (Pierre Belanger)
Subject: XF86Config (3.1) HOW-TO
Date: 9 Oct 1994 15:31:12 GMT

Hello guys,

if you are wondering how to configure your XF86Config file read this :)

I downloaded the binaries from xfree86.cdrom.com:/pub/XFree86/binaries/Linux

There you have all the files for all the servers ... and even shadow passwd.

There is a file named: INSTALL, you will find it at the end of this
article.

When I first installed the binaries I did not read this file, I downloaded
everything and installed ... everything.  If this is what you did, I think
you did wrong (unless you really needed everything !!!).  Did you install 
the file: XF86-3.1-xdmshdw.tar ???  This is the Shadow Passwd version of
xdm, now do you have Shadow Passwd installed on your system?  (Slackware
does not come with it right away from the box)...so if you don't, don't
install it !

Did you download the file: xf86config.gz?  This program allow you to create
the XF86Config file for most server...but it did not work for me until a
few minutes ago when I figure out why.  All because there might be a bug
in the xf86config program.  If you continue reading this, you will find
out the bug.

Ok, start by installing the required files: 1 server, the binaries, lib,
include, font...go in the /usr and:

    su (if you are not root yet !)
    mkdir X11R6
    cd X11R6
    cp (copy all the files needed to be installed here, except XF..,usrbin.tar)
    tar -xvpf XF86-3.1-bin.tar
    tar -xvpf XF86-3.1-...........do this will all your files.

Do not forget to modify your /etc/ld.so.conf file (add /usr/X11R6/lib, do not
remove /usr/X11/lib, otherwise your old bin. will not work anymore).

You also have to modify your /etc/profile or/and /etc/csh.login.  You need
to add to your PATH /usr/X11R6/bin (***BEFORE*** /usr/X11/bin or /usr/bin/X11).
So this mean that your shell will start searching for the binaries of XF86-3.1
before your old X11 binaries.  After modifying these file either logout/login
or do:

    source /etc/profile (if you use 'bash'), or
    source /etc/csh.login (for "csh").

Now, type 'env'.  This will describe your environment...check your path to make
sure you did the right modification.

Now, get your Monitor's manual (I hope you have one) and for your Video card.

If you had XFree86 2.1 working before, check if you have a file named
/dev/mouse (do a ls -l /dev/mouse) and check your old Xconfig file to see
which pointing device you are using (if you have a /dev/mouse it should be
this device, otherwise write down the device you have in your old config
file to make sure your mouse will work !!).
 
After all this, execute the program: xf86config

Now, READ EVERYTHING CAREFULLY, I mean take your time...

1- Select your mouse (an options, device)
2- Monitor: hsync: RANGE, if you have your monitor's manual check for
            option 10.  This option allow you to specify the range for your
            monitor.
            If you do not have your monitor, select another option.  If you
            monitor is interlaced, make the appropriate choice.
            vsync: Check option 5 or make a good choice !).
            Identifier: (type whatever you want it does not matter),
            Vendor name: (I guess you know what to write there...)
            Model name: (samething)
3- Server: Whoppe...select the server you need :)
           And ANSWER 'y' to: Do you want me to set the symbolic link?
           How much RAM do you have on your video card? (make a choice).
           Enter information concerning your video card (same as monitor).
           Identifier:
           Vendor:
           Model:
4- Probing !: Answer YES (y).  The screen will go blank and come back, if it
              does not come back, you screwed up somewhere with your monitor
              or the server/video card !!!
5- Change modes:  If it says for example: "640x480" "800x600" "1024x768" for
                  8pp, this mean that "640x480" will be the 'first' choice.
                  So if you want, "1024x768" you need to Change Modes and
                  select "1024x768" first.
6- Write XF86Config file: type 'y', it should write it in
                           /usr/X11R6/lib/X11 directory.

That's it.  Now, I think you need to: chmod 644 /usr/X11R6/lib/X11/XF86Config
NOW I had a bug with the XF86Config file due to the xf86config program.  Edit
your XF86Config file and check it out...especially the 'Device section'.
The if86config file added this line (it is a bug cuz you don't need it):

   Clocks 32)    <<<<<<<<<<<======= you need to deleted this line if you have
                                    one.  Actually, if you have a line in
                                    Clocks with only 1 number ending with a
                                    ')', delete it.  Otherwise you will get
                                    an error when you 'startx'.

You can also check your files for incompatible "Modeline".  You can leave
them there because the startx/xinit will take care of the wrong modeline.
But, who knows?  You can also remove all the junk you don't need cuz the
if86config file put stuff you don't need...

Well, I think you are ready to type: startx.

Maybe I forget one or two steps, but as I remember these steps should work.

Enjoy,

Pierre B., [email-masked], [email-masked]
           [email-masked]

HERE IS THE INSTALL FILE
============================================================================

Installation instructions for XFree86[TM] 3.1 Linux distribution [10/5/94]
==========================================================================

Introduction
============
        This is the Linux binary distribution of XFree86 release 3.1.
Please read this document carefully before installation, and the included
doc package for detailed configuration information.

Requirements
============
        Linux 1.0, 1.1.X, or later
        libc-4.5.26, or newer
        libm-4.5.26, or newer
        ld.so-1.4.3, or newer
        shadow-3.3.2 (if using xdmshdw)

        This distribution was tested using Linux 1.1.49 and should work
without problems on all versions 1.0, 1.1.X and later. Kernel networking
support is required, although each server will work without TCP support
(using the "partial network" option). In order to use the XShm extension,
kernel shared memory support is required. All serial and bus mice detected
by the 1.1.49 kernel are supported by the servers.

Contents
========
        The distribution is composed of the following parts:

          name                  req/opt description
          XF86-3.1-8514.tar.gz    R[1]  Server for 8514-based boards.
          XF86-3.1-AGX.tar.gz     R[1]  Server for AGX-based boards.
          XF86-3.1-Mach32.tar.gz  R[1]  Server for Mach32-based boards.
          XF86-3.1-Mach8.tar.gz   R[1]  Server for Mach8-based boards.
          XF86-3.1-Mono.tar.gz    R[1]  Server for monochrome video modes.
          XF86-3.1-P9000.tar.gz   R[1]  Server for P9000-based boards.
          XF86-3.1-S3.tar.gz      R[1]  Server for S3-based boards.
          XF86-3.1-SVGA.tar.gz    R[1]  Server for Super VGA-based boards.
          XF86-3.1-VGA16.tar.gz   R[1]  Server for VGA/EGA-based boards.
          XF86-3.1-W32.tar.gz     R[1]  Server for ET4000/W32-based boards.
          XF86-3.1-bin.tar.gz     R     The rest of the X11R6 binaries.
          XF86-3.1-cfg.tar.gz     R[2]  Config files for xdm, xinit and fs.
          XF86-3.1-ctrb.tar.gz    O     Selected contrib programs.
          XF86-3.1-doc.tar.gz     R     XFree86 documentation and manpages.
          XF86-3.1-extra.tar.gz   O     Extra XFree86 servers and binaries.
          XF86-3.1-inc.tar.gz     R     Include files.
          XF86-3.1-lib.tar.gz     R     Shared X libraries and support files.
          XF86-3.1-lkit.tar.gz    O[3]  Server linkkit for customization.
          XF86-3.1-fnt.tar.gz     R     Basic fonts.
          XF86-3.1-fnt75.tar.gz   O     75-dpi screen fonts.
          XF86-3.1-fnt100.tar.gz  O     100-dpi screen fonts.
          XF86-3.1-fntbig.tar.gz  O     Large Kanji and other fonts.
          XF86-3.1-fntscl.tar.gz  O     Scaled fonts (Speedo, Type1).
          XF86-3.1-man.tar.gz     O     Manual pages.
          XF86-3.1-pex.tar.gz     O     PEX binaries, includes and libraries.
          XF86-3.1-slib.tar.gz    O     Static X libraries and support files.
          XF86-3.1-usrbin.tar.gz  O[4]  Daemons which reside in /usr/bin.
          XF86-3.1-xdmshdw.tar.gz O     Shadow password version of xdm.

        R = Required for basic operation.
        O = Optional.
        1 = Select server required for your board. If you're unsure which
            server to choose, run SuperProbe (in the bin package).
        2 = These includee the initialization files for xdm and xinit. If you
            don't have them, this is required. If you do have them, these
            have not changed.
        3 = Use the linkkit to create a server with PEX and/or XIE support.
        4 = Includes rstartd, for the rstart client. Must be installed from /.

Installation
============
        The distribution was compiled to reside in /usr/X11R6. The entire
installation takes up about 42Mb. A "normal" installation takes up about 15Mb.

        The installation must be done as root as there are binaries which
must be unpacked setuid-root. Note that setuid-root operation is not required
when using xdm. Each package is tarred up relative to /usr/X11R6 rather than /,
so it's possible to unpack the distribution on another partition and make a
symlink from there to /usr/X11R6.

        Each tarfile has been compressed using gzip, so the command
`gunzip < {xxx.tar.gz} | tar xfBp -' will decompress and untar the file.
At the very least, you will have to unpack all of the required
packages described above. The optional packages can be unpacked now or
later. Note that some toplevel directories will be created with 0777
permissions. This can be fixed by running the following:
        chmod 755 `find /usr/X11R6 -type d -perm 777`

        The next step is to configure the server. First, make sure the
symbolic link /usr/X11R6/bin/X points to the correct server. As mentioned
above, if you're unsure about which server to select, run the SuperProbe
program (in /usr/X11R6/bin) which should give you that information.

        Then, you have to create a configuration file XF86Config, found in
/usr/X11R6/lib/X11. The distribution provides a sample XF86Config.eg,
which can be used as a starting point. If upgrading from XFree86 2.1,
the Xconfig can be turned into an XF86Config using the reconfig program,
available in the bin package. The format has been extensively improved, so
read the XF86Config manpages and all documentation regarding your server.

        The X libraries use the dynamic linker, ld.so, which must be
installed. Make sure that /usr/X11R6/lib is one of the entries in
/etc/ld.so.conf, or add it to your LD_LIBRARY_PATH environment variable.
After installing, run ldconfig to update the system with the location of
the new X libraries.

        Finally, add /usr/X11R6/bin to your PATH, before the entry for
/usr/X386, if you have one, and add/usr/X11R6/man to your MANPATH.
The command `startx' can be used to start the server and any clients.
Xdm is also available for remote and local logins to the X server.
A shadow-password compatible version of xdm is available, though it
hasn't been tested. Further information on these programs is
available in the manpages.

Configuration
=============
        The precompiled servers were compiled with LBX and ScreenSaver
extensions included. The linkkit is provided with all extensions except
LBX, which currently requires the server sources to recompile. Fresco
is unavailable because it requires gcc 2.6.X (X > 0) which wasn't available
at this time.

        All servers have been compiled with all available drivers. Smaller
servers can be generated by selecting minimal options via the linkkit.
The VGA16 and Mono servers were not compiled with dual-head support, but
this option is also available through the linkkit.

Compatibility
=============
        X11R6 is presented as a complete upgrade from X11R5. In particular,
this means that X11R6 shared libraries cannot be used in place of the
X11R5 (old X386) libraries. The major number has been upgraded on all
the shared libraries to reflect this fact.

        In order to use old binaries, you must retain the X11R5 libraries.
They can either remain in /usr/X386/lib or you can move them to some other
location, remembering to update the ld.so config file /etc/ld.so.conf and
re-running ldconfig. Old binaries should be compatible with the new X11R6
server.

Sources
=======
        Sources relative to X11R6 PL5 are available from ftp.XFree86.org
under /pub/XFree86/current. The main README provided in the distribution
has detailed information about mirror sites and XFree86 in general.

        Please report all errors in this distribution and documentation
to me. Thank you.

-orest
[email-masked]

------------------------------

Crossposted-To: comp.sys.ibm.pc.hardware.systems,comp.os.linux.misc
From: [email-masked] (RYAN  Colin Patrick)
Subject: Mystery Chip...AMD
Date: Wed, 5 Oct 1994 21:44:41 GMT

While responding to an add inteh local paper for a $99 486 upgrade it came
to light that this upgrade was a quote "486/66 Mhz" which was a "faster chip and less expensive than the i486DX2-66". This propted my query on what the hell
this chip was and the response was AMD. I was not aware of this chip. I was
under the impression that all the 66's 75's 100's etc (non-Pentium) were 
overclocked 33 Mhz chips. Does a 'real' 66 Mhz chip exist? If so (and I dont'
think so" do traditional mother boards ( ie that could handle a DX2) support
this chip. And Finally, if this is true is it compatble and reliable.

INquiring minds want to know!! ;-))
Thanks...Colin
-- 
Colin P. Ryan
Ceramic Engineer and Computer Hobbyist           LINUX 
E-mail: [email-masked]                         INSIDE !!!!!!!
===============================================================================

------------------------------

From: [email-masked] (Joe Nardone)
Subject: Re: looking for [email-masked]
Date: 5 Oct 1994 22:14:00 GMT

Stephen Johnson ([email-masked]) wrote:
: Hi,
: I'm loking for [email-masked] that wrote the 3c509 drivers for Linux.
: Mail sent to [email-masked] bounces...any ideas.
: TIA

Read the Credits file in a recent kernel.

Joe

--
===========================================================
 Joe Nardone                             [email-masked]

 "Exploitation?  I know all about that stuff.  I've
     been exploited all my life."  -- Elwood

------------------------------

From: [email-masked] (Ronald S. Karr)
Crossposted-To: comp.mail.smail
Subject: Re: Security hole - has noone noticed so far?
Date: 5 Oct 1994 14:36:11 -0700

In article <[email-masked]>,
Martin Bartosch <[email-masked]> wrote:
>/usr/lib/sendmail -d -D/etc/nologin [email-masked]
>
>as a normal user and have fun explaining it to your sysadmin. I was
>awed when I found out...
 
Okay, the fix is enclosed.  The fix for the other serious security
bug is enclosed.  Three security bugs recently discovered have been
there unknown (at least to me) for between two and five years.  I
don't know why so many have come to light recently.  At least none
found so far make it network-vulnerable.

Also, another bug report suggested that using a .forward to read files
could be prevented by turning off the SMTP DEBUG command.  This is
irrelevent, since it requires that a user on the system create the
conditions, and that user can run smail with -d to get the same
effect.  So far, the SMTP DEBUG command has no known security issues
(at least I don't know any) other than that it provides information
about smail configuration and mailing list contents.
-- 
        Ronald S. Karr
        tron |-<=>-|    [email-masked]
=======================================================================
Index: src/main.c
@@ -335,7 +335,8 @@
     if (config_file != save_config_file || arg_second_config_file ||
        arg_director_file || arg_router_file || arg_transport_file ||
        arg_qualify_file || arg_retry_file || arg_smail_lib_dir ||
-       arg_alias_file || operation_mode == REBUILD_ALIASES)
+       arg_alias_file || operation_mode == REBUILD_ALIASES ||
+       arg_debug_file)
     {
        /*
         * a config_file was set, or unset from the command args
-- 
        tron |-<=>-|            ARPAnet:  [email-masked]
      [email-masked]          UUCPnet:  {apple,pyramid}!veritas!tron

------------------------------

From: [email-masked] (Thomas Winterfeldt)
Subject: Re: CD-ROMs
Date: Thu, 6 Oct 1994 20:24:02 GMT

Riku Saikkonen ([email-masked]) wrote:
: Lots of performance questions today... :)

: Which is the fastest, a double-speed SCSI CD-ROM with an ISA host
: adapter, the same with PCI/VLB (does it make a difference with something
: as slow as a CD-ROM?), or a double-speed Sony interface CD-ROM?

I think even with a double speed CD-Rom it makes no difference wether you use
SCSI or Sony Interface and ISA or VL-Bus because the max transfer speed of
a double speed CD is around 300k. All suggested possibilities of connecting
one are faster by at least a factor of 10.

Bye Thomas
-- 
+---------------------------+---------------------------------------+
| Thomas Winterfeldt        |        E-mail : [email-masked] |
| Im Koetterhagen 1A        |        Phone  : +49 (0)5334 7239      |
| D-38312 Heiningen         |        Fax    : +49 (0)5334 7528      |

------------------------------

From: [email-masked] (Thomas Winterfeldt)
Subject: Re: Inn on a Linux box!
Date: Thu, 6 Oct 1994 20:28:42 GMT

Nathan Stratton ([email-masked]) wrote:

: I also tared my system on a 8 mill exabyte tape so I could make a bigger 
: swap file, now I can not untar it. I get data reads errors and tar 
: crashes. Is there a way I can untar the tape and have it not crash if it 
: hist a read error?

If you use tar and get bad blocks youre in real trouble. Better use cpio
instead because cpio handles bad blocks. Anyway I dont know any way to
read tar tapes once they are damaged, because tar stops at the first 
bad block. 

Bye Thomas
-- 
+---------------------------+---------------------------------------+
| Thomas Winterfeldt        |        E-mail : [email-masked] |
| Im Koetterhagen 1A        |        Phone  : +49 (0)5334 7239      |
| D-38312 Heiningen         |        Fax    : +49 (0)5334 7528      |

------------------------------

From: [email-masked] (Thomas Winterfeldt)
Subject: Re: Good dirs to move to sep file systems?
Date: Thu, 6 Oct 1994 20:34:08 GMT

Timothy Demarest ([email-masked]) wrote:
: I just added 2 more drives to our linux system, and am looking
: to split the system among several file systems.  Right now, only
: swap is on its own partition.

: What do you recommend for splitting across several file systems?  I dont
: want to move anything that I may need on the root partition in an emergency!

Hi 

I would suggest to put at least /home on a different file system. You might
want to do the same with /var and/or /tmp.

Bye Thomas
-- 
+---------------------------+---------------------------------------+
| Thomas Winterfeldt        |        E-mail : [email-masked] |
| Im Koetterhagen 1A        |        Phone  : +49 (0)5334 7239      |
| D-38312 Heiningen         |        Fax    : +49 (0)5334 7528      |

------------------------------

From: [email-masked] (G. E. Terry)
Subject: Re: formatting tapes
Date: 11 Oct 1994 22:07:50 GMT

Frank B. Brokken ([email-masked]) wrote:
: Dear Linuxers,

:     If you ever have to format a tape to be used with a tapestreamer connected
:     to the floppy-drive controller (like a Colorado Jumbo), you have to
:     boot to DOS, then do a tape-format, then boot back to linux.
:     The formatting takes about 1-2 hrs, and in the meantime you can't do
:     anything else, because you're at DOS.

:     From the bulletin board of Aragorn Computers (Eindhoven, the Netherlands)
:     I recently retrieved the DOS program QS3.EXE which allows the recording
:     and execution of keyboard macros. QS3 is a tape-formatting utility.

:     Using its macro facility I can now format a tape while I'm away or asleep:
:     Linux boots to dos, there a modified autoexec.bat waits, formatting the
:     tape using the macro-program, booting back to linux thereafter.

:     It works very smoothly. The QS3 program is contained in QS3.ZIP, and
:     can be obtained from ftp.icce.rug.nl, directory pub/frank. There is also
:     a small qs3.README file, in which you'll find more details about the
:     procedure.
:     
:     Any questions or remarks ? Send me an e-mail.

I wonder how this would work with dosemu??

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.admin) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Admin Digest
******************************